%define fontname        brettfont
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d

Name:           %{fontname}-fonts
Version:        20080506
Release:        3%{?dist}
Summary:        A handwriting font

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/brettalton/205
Source0:        BrettFont1.1.ttf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
A handwriting font made by Brett Alton.

%prep

%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{fontdir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{fontdir}/brettfont.ttf



%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi


%files
%defattr(644,root,root,755)
%doc
%dir %{fontdir}/
%{fontdir}/*.ttf


%changelog
* Mon May 19 2008 Jon Stanley <jonstanley@gmail.com> - 20080506-3
- Remove extraneous metadata (#447350)

* Wed May 07 2008 Jon Stanley <jonstanley@gmail.com> - 20080506-2
- Change installed filename to something more palatabe (#445531)

* Tue May 06 2008 Jon Stanley <jonstanley@gmail.com> - 20080506-1
- Bump version, remove %%prep cp, change %%install

* Mon May 05 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-2
- Changed %%description

* Mon May 05 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-1
- Initial package
